Get Statistics
curl --request GET \
--url https://api.cm.conductor.com/v2/data/statistics \
--header 'Authorization: <api-key>'import requests
url = "https://api.cm.conductor.com/v2/data/statistics"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.cm.conductor.com/v2/data/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"health": 916,
"number_of_issues": 1234,
"number_of_urls": {
"missing": 0,
"page": 123,
"redirect": 0,
"server_error": 0,
"unreachable": 0
},
"number_of_urls_per_property": {
"h1": {
"available": 123,
"empty": 0,
"missing": 0
},
"health": {
"0-100": 0,
"100-200": 0,
"200-300": 0,
"300-400": 0,
"400-500": 0,
"500-600": 0,
"600-700": 0,
"700-800": 0,
"800-900": 0,
"900-1000": 1234
},
"hreflang_language": {
"en": 1234,
"missing": 0,
"others": 0
},
"is_disallowed_in_robots_txt": {
"true": 0,
"false": 1234
},
"is_in_sitemap": {
"true": 1234,
"false": 0
},
"is_indexable": {
"true": 1234,
"false": 0
},
"is_indexable_due_to_meta_robots": {
"no": 0,
"not_applicable": 0,
"yes": 1234
},
"is_indexable_due_to_x_robots_tag": {
"no": 0,
"not_applicable": 0,
"yes": 1234
},
"is_linked": {
"true": 1234,
"false": 0
},
"meta_description": {
"available": 1234,
"empty": 0,
"missing": 0
},
"open_graph_description": {
"available": 1234,
"empty": 0,
"missing": 0
},
"open_graph_image": {
"available": 1234,
"empty": 0,
"missing": 0
},
"open_graph_title": {
"available": 1234,
"empty": 0,
"missing": 0
},
"open_graph_type": {
"empty": 0,
"missing": 0,
"others": 0,
"values": {
"article": 1230,
"website": 2,
"object": 2
}
},
"open_graph_url": {
"available": 1234,
"empty": 0,
"missing": 0
},
"importance": {
"0-1": 0,
"1-2": 0,
"2-3": 0,
"3-4": 109,
"4-5": 109,
"5-6": 103,
"6-7": 43,
"7-8": 28,
"8-9": 16,
"9-10": 800
},
"status_code": {
"200": 1234
},
"title": {
"available": 1234,
"empty": 0,
"missing": 0
},
"twitter_card": {
"empty": 0,
"missing": 0,
"others": 0,
"values": {
"summary_large_image": 1234
}
},
"twitter_description": {
"available": 1234,
"empty": 0,
"missing": 0
},
"twitter_image": {
"available": 1234,
"empty": 0,
"missing": 0
},
"twitter_site": {
"empty": 0,
"missing": 0,
"others": 0,
"values": {
"@conductor": 1234
}
},
"twitter_title": {
"available": 1234,
"empty": 0,
"missing": 0
},
"is_https": {
"true": 1234,
"false": 0
},
"url_depth": {
"0": 1,
"1": 15,
"2": 399,
"3": 29,
"4": 1000,
"5": 0,
"6": 0,
"7": 0,
"8": 0,
"9": 0,
"10+": 0
},
"domain": {
"www.conductor.de": 1234
},
"lighthouse_cls": {
"good": 1234,
"needsImprovement": 0,
"bad": 0
},
"lighthouse_fcp": {
"good": 1234,
"needsImprovement": 0,
"bad": 0
},
"lighthouse_lcp": {
"good": 1234,
"needsImprovement": 0,
"bad": 0
},
"lighthouse_performance": {
"good": 1234,
"needsImprovement": 0,
"bad": 0
},
"lighthouse_si": {
"good": 1234,
"needsImprovement": 0,
"bad": 0
},
"lighthouse_tbt": {
"good": 1234,
"needsImprovement": 0,
"bad": 0
},
"lighthouse_tti": {
"good": 1234,
"needsImprovement": 0,
"bad": 0
}
}
},
"data_captured_at": "2022-08-04T15:23:01+02:00",
"is_data_golden": false
}{
"code": "auth_missing_token",
"message": "Authentication token must be passed in Authorization HTTP header.",
"errors": []
}{
"code": "terms_of_use_not_accepted",
"message": "Reporting API Terms of Use have not been accepted yet. Please accept Terms of Use in Account Settings.",
"errors": []
}{
"error": "Requested website ID was not found"
}{
"code": "auth_malformed",
"message": "Authorization HTTP header must conform to format described in docs.",
"errors": []
}{
"code": "rate_limit_exceeded",
"message": "Too many requests. Try again in a minute.",
"errors": []
}Data
Get statistics
Get aggregate statistics for a website or segment: health score, issue counts, URL types, title, meta and H1 distributions, Lighthouse scores, and indexability.
GET
/
v2
/
data
/
statistics
Get Statistics
Authorizations
Send your Reporting API token as Authorization: token {reporting_api_token} — the literal string token, a space, then the token itself. Find it in Conductor Monitoring under Account > Account tab > Integration Tokens.
Query Parameters
Required.
Required. website | segment:{id} | segment_label:{label}
Optional. ISO-8601 for historical data.
